Skip to content
Guides
API reference
stablecatalog:read

Suggest categories

Retrieve a suggest of categories

GET/v1/catalog/categories/suggests

Retrieve a suggest of categories

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Query Parameters

q*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/categories/suggests?q=string"
[  {    "id": "string",    "storeId": "string",    "name": "string",    "slug": "string",    "icon": null,    "order": 0,    "parentId": null,    "path": "string",    "requiresSizeGuide": true,    "commissionPercentage": null,    "commissionFixedFee": null  }]